=== debian/changelog ===
multipath-tools (0.9.7-7ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
      (https://github.com/opensvc/multipath-tools/issues/26)
    - Don't build the multipath-tools binary package on i386; only kpartx.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/kpartx-initramfs/hooks/kpartx
      + d/kpartx-boot.install
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default
  * Dropped changes, included in Debian:
    - d/initramfs/hooks: also copy wwids file on the installed
      system to ensure all paths come up on boot.
    - d/initramfs/hooks: do not copy kpartx rules to initramfs
    - d/initramfs/hooks: install multipathd and required directories.
    - d/initramfs/hooks: copy multipath udev rules to initramfs
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc)
      + remove d/initramfs/local-top
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules.
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs
    - d/rules: do not install init scripts
    - d/multipath-tools.maintscript: remove /etc/init.d/multipath-tools
    - Remove wrong hard-coded dep on libaio1.
  * Dropped changes, no longer needed:
    - d/initramfs/hooks: Add dm-queue-length
    - d/multipath-tools.dm-mpath-lvm.udev: local udev rule hasn't been
      shipped since at least jammy

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Jun 2024 14:24:55 -0700

multipath-tools (0.9.7-7) unstable; urgency=medium

  * [9d90323] Drop hard-coded dependency on libaio1 (Closes: #1068944)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Apr 2024 13:04:31 +0200

multipath-tools (0.9.7-6) unstable; urgency=medium

  * [85ca059] Switch Build-Depends pkg-config to pkgconf

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 29 Feb 2024 22:38:43 +0100

multipath-tools (0.9.7-5) unstable; urgency=medium

  * [902a13b] Rely on newly un-broken dmsetup 2:1.02.196-1

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 29 Feb 2024 22:35:59 +0100

multipath-tools (0.9.7-4) unstable; urgency=medium

  * [2faddfc] Fix initramfs test

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 31 Jan 2024 18:05:03 +0100

multipath-tools (0.9.7-3) unstable; urgency=medium

  * [b7f0988] Switch Build-Depends to systemd-dev (Closes: #1060604)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 12 Jan 2024 13:21:59 +0100

multipath-tools (0.9.7-2) unstable; urgency=medium

  * [018f436] Correctly apply Debian-specific udev rule priorities

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 20:32:14 +0100

multipath-tools (0.9.7-1) unstable; urgency=medium

  * [232dd6e] New upstream version 0.9.7
  * [ed5de58] Refresh patches
  * [97e9782] Build-Depend: libmount-dev, now needed
  * [462750d] Follow upstream change from modules-load to modprobe@ service
  * [46cd7fe] d/rules: drop SCSI_DH_MODULES_PRELOAD which did not work anyway
  * [5ec6ee3] autopkgtest: add extra details, journal output
  * [11f09a7] postinst: ignore failure from udevadm

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 00:19:37 +0100

multipath-tools (0.9.4-10) unstable; urgency=medium

  * [ff4b063] Fix udev rules install location
  * [704cf13] autopkgtest: fix under upstream default of find_multipaths strict

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 01 Jan 2024 20:21:16 +0100

multipath-tools (0.9.4-9) unstable; urgency=medium

  * Upload to unstable.
  * [c785707] Rearrange debian/tmp usage to get more out of dh_missng
  * [05a2082] Use dh_install to install udev rules
  * [6c4f974] kpartx-udeb: install udev rules and helper (Closes: #1059747)
  * [5598a12] initramfs: use /usr-merged layout
  * [d41422b] initramfs: use modern helpers, tidy up
  * [bdcbd1e] Stop installing multipath-tools-boot.service mask
  * [13d5c3e] Refresh patches
  * [265cc4d] Apply wrap-and-sort -kast
  * [a42a18b] Add new autopkgtest for initramfs hooks

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 01 Jan 2024 17:31:35 +0100

multipath-tools (0.9.4-8) experimental; urgency=medium

  * Target experimental.
  * [dfcb2a2] Install into /usr-merged layout

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 23 Dec 2023 20:20:34 +0100

multipath-tools (0.9.4-7) unstable; urgency=medium

  * [bdc80b9] Merge initramfs integration from Ubuntu.
    Which apparently got updated since the 0.7.x days, compared to ours.
    Keep kpartx in the multipath hook, as we do not have a separate kpartx-boot
    package, and likely never will.
  * [918d442] Remove init script, following Ubuntu bug reports
  * [475fd45] Drop obsolete Depends: lsb-base
  * [bc3bacb] Add NEWS for updated boot, removed sysvinit scripts

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:44:56 +0100

multipath-tools (0.9.4-6) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * [818e429] d/p/0007-multipathd.service-remove-Also-multipathd.socket.patch:
    Remove "Also=multipathd.socket" from multipathd.service, which was
    breaking socket-activation.

