=== debian/control ===
Source: multipath-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Ritesh Raj Sarraf <rrs@debian.org>,
 Chris Hofstaedtler <zeha@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libaio-dev,
 libdevmapper-dev,
 libedit-dev,
 libmount-dev,
 libjson-c-dev,
 libsystemd-dev,
 libudev-dev,
 liburcu-dev,
 pkgconf,
 systemd-dev,
Vcs-Git: https://salsa.debian.org/linux-blocks-team/multipath-tools.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/multipath-tools
Standards-Version: 3.9.8
Homepage: http://christophe.varoqui.free.fr/
Rules-Requires-Root: no

Package: multipath-tools
Architecture: linux-any
Depends:
 kpartx (>= ${binary:Version}),
 sg3-utils-udev,
 udev,
# need systemd >= 245 for modprobe@dm_multipath.service
 systemd (>= 245~),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 multipath-tools-boot,
Description: maintain multipath block device access
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.
 .
 If you install this package you may have to change the way you address block
 devices. See README.Debian for details.

Package: kpartx
Architecture: linux-any
Depends:
# need dmsetup >= 2:1.02.196-1 to get non-broken DM_UDEV_RULES_VSN in their udev rules
 dmsetup (>= 2:1.02.196-1~),
 udev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: create device mappings for partitions
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device.
 .
 It is part of the Linux multipath-tools, but is useful on any
 device-mapper using system.

Package: kpartx-boot
Architecture: all
Depends: ${misc:Depends}, initramfs-tools,
 kpartx (>= ${source:Version}), kpartx (<< ${source:Version}.1~)
Description: Provides kpartx during boot
 This package makes kpartx available during boot to activate partitions

Package: multipath-tools-boot
Architecture: all
Depends:
 initramfs-tools | linux-initramfs-tool,
 kpartx-boot (= ${binary:Version}),
 multipath-tools (<< ${source:Version}.1~),
 multipath-tools (>= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Support booting from multipath devices
 This package contains the necessary support for booting from a multipath
 device:
 .
  * copy over multipath.conf and persistent bindings if necessary
  * load the necessary kernel modules
  * detect multipath block devices
 .
 Don't install this package if you're not booting from a multipath device.

Package: multipath-udeb
Package-Type: udeb
Architecture: linux-any
Depends:
 kpartx-udeb,
 multipath-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Section: debian-installer
Description: maintain multipath block device access - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.

Package: kpartx-udeb
Package-Type: udeb
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: debian-installer
Description: create device mappings for partitions - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.
