=== debian/changelog ===
multipath-tools (0.9.9-1) unstable; urgency=medium

  [ mitchdz ]
  * [14083d6] d/t/tgtbasedmpaths: do not brace expand as systemd does
    not understand (Closes: #1074403)

  [ Chris Hofstaedtler ]
  * [b5fef17] New upstream version 0.9.9
  * [ef49180] Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Jul 2024 01:58:32 +0200

multipath-tools (0.9.8-1) unstable; urgency=medium

  [ mitchdz ]
  * [9ffd042] tgtbasedmpaths: also check status of the socket (Closes:
    #1069680)

  [ Chris Hofstaedtler ]
  * [6f82765] New upstream version 0.9.8
  * [7e41b68] Refresh patches
  * [7119712] Revert "Implement real socket activation of multipathd.service."
    Unsupported upstream.
  * [551f721] Install new udev rules.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:44:49 +0200
