=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: multipath-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
+Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Ritesh Raj Sarraf <rrs@debian.org>,
@@ -61,18 +60,10 @@
  It is part of the Linux multipath-tools, but is useful on any
  device-mapper using system.
 
-Package: kpartx-boot
-Architecture: all
-Depends: ${misc:Depends}, initramfs-tools,
- kpartx (>= ${source:Version}), kpartx (<< ${source:Version}.1~)
-Description: Provides kpartx during boot
- This package makes kpartx available during boot to activate partitions
-
 Package: multipath-tools-boot
 Architecture: all
 Depends:
  initramfs-tools | linux-initramfs-tool,
- kpartx-boot (= ${binary:Version}),
  multipath-tools (<< ${source:Version}.1~),
  multipath-tools (>= ${source:Version}),
  ${misc:Depends},
