=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,7 @@
 #!/usr/bin/make -f
-
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),i386)
-	skip_packages = -Nmultipath-tools
-endif
 
 # For Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
@@ -50,9 +45,6 @@
 	dh_auto_install --sourcedirectory=debian/build-deb -- DESTDIR=$(CURDIR)/debian/tmp/deb
 	dh_auto_install --sourcedirectory=debian/build-udeb -- DESTDIR=$(CURDIR)/debian/tmp/udeb
 
-	mkdir -p $(CURDIR)/debian/tmp/deb/etc
-	cp debian/multipath.conf $(CURDIR)/debian/tmp/deb/etc
-
 	# udebs dont get manpages
 	rm -rf $(CURDIR)/debian/tmp/udeb/usr/share/man
 
@@ -75,26 +67,9 @@
 override_dh_bugfiles:
 	dh_bugfiles -A -pmultipath-tools -pmultipath-tools-boot
 
-override_dh_installudev:
-	dh_installudev -pkpartx --priority=95
-	dh_installudev -pkpartx --name=dm-parts --priority=56
-	dh_installudev -pkpartx --name=del-part-nodes --priority=68
-	dh_installudev -pmultipath-tools --name=multipath
-	dh_installudev -pmultipath-tools --name=dm-mpath --priority=56
-
 override_dh_installsystemd:
-	# Don't auto-enable/start the service; instead, rely on
-	# socket-activation.
 	dh_installsystemd -pmultipath-tools multipathd.service \
-		--no-stop-on-upgrade --no-enable
-	dh_installsystemd -pmultipath-tools multipathd.socket
+		--no-stop-on-upgrade
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a --add-udeb=multipath-udeb
-
-override_dh_builddeb:
-	dh_builddeb ${skip_packages}
-
-override_dh_gencontrol:
-	dh_gencontrol ${skip_packages}
-
