=== debian/tests/control ===
Tests: kpartx-file-loopback
Depends:
 gdisk,
 kpartx,
 qemu-utils,
Restrictions: needs-root, isolation-machine

Tests: tgtbasedmpaths
Depends:
 fio,
 lsscsi,
 multipath-tools,
 open-iscsi,
 tgt,
Restrictions: needs-root, isolation-machine, allow-stderr

Tests: initramfs
Architecture: amd64 arm64
Depends:
 multipath-tools,
 multipath-tools-boot,
 linux-image-amd64 | linux-image-arm64,
 initramfs-tools,
Restrictions: needs-root, allow-stderr
