=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/multipath-tools-$1\.tar\.gz/ \
  https://github.com/opensvc/multipath-tools/tags .*/v?(\d\S+)\.tar\.gz
